
#include	"sysdef.h"

#include	"scerrd.h"
#define	then


putwarn(txt)
char *txt ;
{

	ceol24() ;
	if ( *txt )
	  then	{
		rvon() ;
		putbin(txt,0) ;
		rvoff() ;
		} ;
	goback() ;
	return(1) ;
}




static goback()
{
	extern int fastio ;
	register int save ;

	save = fastio ;
	fastio = 0 ;
	scmove() ;
	fastio = save ;
}

scerrprint(val)
int val ;
{
	ceol24() ;
	xprintf("error number %d\n",val) ;
	goback() ;
}


scerrtxt(s)
char *s ;
{
	char ert[80] ;

	ceol24() ;
	putbin(s,0) ;
	putbin(" ",0) ;
	geterror(ert) ;
	putbin(ert,0) ;
	goback() ;
}

error(n)
int n;
{
	xprintf("error called %d\n",n);
}


